package com.prolog.cs.biz.inbound.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 上架任务头表查询类
 * 
 * @author Xiong
 *
 */
@ApiModel
public class InsockTaskRcvQueryVO implements Serializable {
	private static final long serialVersionUID = -5437660499970037085L;

	@ApiModelProperty(value = "收货单主键id(查询单条时使用)", hidden = true)
	private String rcvHeaderId;

	@ApiModelProperty(value = "企业id")
	private String enterpriseId;

	@ApiModelProperty(value = "收货类型")
	private String rcvType;

	@ApiModelProperty(value = "(*)货主id", position = -1)
	private String mtlOwnerId;

	@ApiModelProperty(value = "(*)仓库id", position = -1)
	private String warehouseId;

	@ApiModelProperty(value = "(*)收货单号", position = -1)
	private String rcvNo;
	// 单据编号
	@ApiModelProperty(value = "(*)单据编号(asn单号)", position = -1)
	private String billNo;
	// 商品助记码
	@ApiModelProperty(value = "(*)商品助记码", position = -1)
	private String itemZjm;
	// 单位助记码
	@ApiModelProperty(value = "(*)单位助记码(客户/供应商/其他仓(oms下发))", position = -1)
	private String shipperZjm;

	@ApiModelProperty(value = "(*)开始时间", position = -1)
	private Date startTime;

	@ApiModelProperty(value = "(*)结束时间", position = -1)
	private Date endTime;

	// 容器号
	@ApiModelProperty(value = "(*)容器号", position = -1)
	private String containerCode;
	// 上架标签条码
	@ApiModelProperty(value = "(*)上架标签条码", position = -1)
	private String instockLabel;
	// 建筑物
	@ApiModelProperty(value = "(*)建筑物(id)", position = -1)
	private String bldgId;
	// 库别(推荐的)
	@ApiModelProperty(value = "(*)库别(编码,推荐的)", position = -1)
	private String whAreaCategoryCode;
	// 库区(推荐的)
	@ApiModelProperty(value = "(*)库区(编码,推荐的)", position = -1)
	private String whAreaCode;

	@ApiModelProperty(value = "收货员", position = -1)
	private String rcvUser;

	@ApiModelProperty(value = "(*)单位三合一(助记码/编码/名称模糊查)", position = -1)
	private String shipperCondition;

	public String getShipperCondition() {
		return shipperCondition;
	}

	public void setShipperCondition(String shipperCondition) {
		this.shipperCondition = shipperCondition;
	}

	public String getRcvUser() {
		return rcvUser;
	}

	public void setRcvUser(String rcvUser) {
		this.rcvUser = rcvUser;
	}

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getRcvType() {
		return rcvType;
	}

	public void setRcvType(String rcvType) {
		this.rcvType = rcvType;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getRcvNo() {
		return rcvNo;
	}

	public void setRcvNo(String rcvNo) {
		this.rcvNo = rcvNo;
	}

	public String getBillNo() {
		return billNo;
	}

	public void setBillNo(String billNo) {
		this.billNo = billNo;
	}

	public String getItemZjm() {
		return itemZjm;
	}

	public void setItemZjm(String itemZjm) {
		this.itemZjm = itemZjm;
	}

	public String getShipperZjm() {
		return shipperZjm;
	}

	public void setShipperZjm(String shipperZjm) {
		this.shipperZjm = shipperZjm;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getContainerCode() {
		return containerCode;
	}

	public void setContainerCode(String containerCode) {
		this.containerCode = containerCode;
	}

	public String getInstockLabel() {
		return instockLabel;
	}

	public void setInstockLabel(String instockLabel) {
		this.instockLabel = instockLabel;
	}

	public String getBldgId() {
		return bldgId;
	}

	public void setBldgId(String bldgId) {
		this.bldgId = bldgId;
	}

	public String getWhAreaCategoryCode() {
		return whAreaCategoryCode;
	}

	public void setWhAreaCategoryCode(String whAreaCategoryCode) {
		this.whAreaCategoryCode = whAreaCategoryCode;
	}

	public String getWhAreaCode() {
		return whAreaCode;
	}

	public void setWhAreaCode(String whAreaCode) {
		this.whAreaCode = whAreaCode;
	}

}
